Name: libmpfr
Version: 2.1.1
Release: alt0.M24.1

Summary: Multiple-Precision Floating-Point Library

Packager: Vitaly Lipatov <lav@altlinux.ru>

License: LGPL
Group: System/Libraries
Url: http://www.mpfr.org/

Source: http://www.mpfr.org/mpfr-current/mpfr-%version.tar.bz2

# Automatically added by buildreq on Sun Jul 17 2005
BuildRequires: libgmp-devel

%description
The MPFR library is a C library for multiple-precision
floating-point computations with exact rounding (also called correct
rounding). It is based on the GMP multiple-precision library. The
main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has
a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point
arithmetic (53-bit mantissa).

%package devel
Summary: Multiple-Precision Floating-Point Library
Group: Development/C

%description devel
The MPFR library is a C library for multiple-precision
floating-point computations with exact rounding (also called correct
rounding). It is based on the GMP multiple-precision library. The
main goal of MPFR is to provide a library for multiple-precision
floating-point computation which is both efficient and has
a well-defined semantics. It copies the good ideas from the
ANSI/IEEE-754 standard for double-precision floating-point
arithmetic (53-bit mantissa).


%prep
%setup -q -n mpfr-%version

%build
%configure
%make_build

%install
%make_install install DESTDIR=%buildroot

%files devel
%_includedir/*
%_libdir/*
%_infodir/*

%changelog
* Mon Sep 05 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt0.M24.1
- backports to ALT Linux Master 2.4

* Sun Jul 17 2005 Vitaly Lipatov <lav@altlinux.ru> 2.1.1-alt1
- first build for ALT Linux Sisyphus
